<?php

function fn_setmap_mcc($aql)
{
	$list = $aql->Consume(3);

	$list[2]->value[$list[1]->value] = $list[0]->value;
	
	$a = new AQLStackElement();
	$a->typename = "map";
	$a->islist = true;
	$a->value = $list[2]->value;
	array_push($aql->stack,$a);
}

?>